Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Language IDEs » PHP Development Tools (PDT) » Helios unusable?(Helios unusable?)
Helios unusable? [message #629178] Mon, 27 September 2010 12:36 Go to next message
Todd Chaffee is currently offline Todd Chaffee
Messages: 3
Registered: September 2010
Junior Member
Any one else have lots of problems using Helios for PHP? I seem to be filing bug after bug and already 2 of them make it impossible for me to work on PHP projects in Helios. Here's what I've dealt with so far:

- Freezing
- Using all memory allocated (2G avail for Eclipse).
- Cannot open PHP files with error "Could not open the editor: Argument not valid"

And some I can't remember. Helios is pretty much unusable for me and I've had to go back to using jEdit.

Any help is appreciated and I'd especially like to know if others are as frustrated as I am with this release.
Re: Helios unusable? [message #629410 is a reply to message #629178] Tue, 28 September 2010 07:49 Go to previous messageGo to next message
Mauro Molinari is currently offline Mauro Molinari
Messages: 278
Registered: July 2009
Senior Member
Il 27/09/2010 14.36, Todd Chaffee ha scritto:
> Any help is appreciated and I'd especially like to know if others are as
> frustrated as I am with this release.

No problems like these for me and my coworkers in Helios.
I may suggest to check the VM options set in you eclipse.ini (max perm
size, max heap size, etc.). You may also try with a fresh new
installation of Eclipse+PDT, because it may also be possible that your
PDT installation is broken.

Mauro.
Re: Helios unusable? [message #629485 is a reply to message #629178] Tue, 28 September 2010 13:14 Go to previous messageGo to next message
sam is currently offline sam
Messages: 3
Registered: July 2009
Junior Member
I saw approximately those problems when using original Helios release.

See this blog post I wrote at the time which summarises my experiences (and those of several others who work here; same problems occurred for everyone who tried it).

http://learn.open.ac.uk/mod/oublog/viewpost.php?post=38720

In the recent SR1 release (PDT 2.2.1), so far - I have made extremely limited use of it - I haven't seen any memory problems or the previous errors, so I was hopeful they might have been fixed. However, the compare view does not work at all (bug 326194) which makes the platform more or less unusable for any significant work, at least of the type I do. The bug has been fixed, so I hope it can be updated soon. In the meantime... I wanted to test SR1 as we really need some other platform features asap... but I guess it's back to 3.5 again.

(If the compare bug is fixed, I'll try to use SR1 again for development and find out whether the performance/other bugs that previously affected us have been squished, or not.)

--sam
Re: Helios unusable? [message #629648 is a reply to message #629485] Wed, 29 September 2010 06:15 Go to previous messageGo to next message
Marko Karjalainen is currently offline Marko Karjalainen
Messages: 30
Registered: July 2009
Member
"the compare view does not work at all (bug 326194) which makes the platform more or less unusable for any significant work"

Agree that, unusable

"Bug 326247 Could not open the editor: Argument not valid" is other bad bug that makes ide so worse.

And there is no update sites at all in pdt helios SR1 installation(clean install), so i cannot get any fixes if these
come some day, argh.

On 28.9.2010 16:14, sam wrote:
> I saw approximately those problems when using original Helios release.
>
> See this blog post I wrote at the time which summarises my experiences (and those of several others who work here; same
> problems occurred for everyone who tried it).
>
> http://learn.open.ac.uk/mod/oublog/viewpost.php?post=38720
>
> In the recent SR1 release (PDT 2.2.1), so far - I have made extremely limited use of it - I haven't seen any memory
> problems or the previous errors, so I was hopeful they might have been fixed. However, the compare view does not work at
> all (bug 326194) which makes the platform more or less unusable for any significant work, at least of the type I do. The
> bug has been fixed, so I hope it can be updated soon. In the meantime... I wanted to test SR1 as we really need some
> other platform features asap... but I guess it's back to 3.5 again.
>
> (If the compare bug is fixed, I'll try to use SR1 again for development and find out whether the performance/other bugs
> that previously affected us have been squished, or not.)
>
> --sam
Re: Helios unusable? [message #629994 is a reply to message #629648] Thu, 30 September 2010 09:15 Go to previous messageGo to next message
Marko Karjalainen is currently offline Marko Karjalainen
Messages: 30
Registered: July 2009
Member
Ant plugin is also broken in both helios and helios SR1 build
eclipse-php-helios-win32
eclipse-php-helios-SR1-win32

can't see it in prefences and external tools.

On 29.9.2010 9:15, Marko Karjalainen wrote:
>
> "the compare view does not work at all (bug 326194) which makes the platform more or less unusable for any significant
> work"
>
> Agree that, unusable
>
> "Bug 326247 Could not open the editor: Argument not valid" is other bad bug that makes ide so worse.
>
> And there is no update sites at all in pdt helios SR1 installation(clean install), so i cannot get any fixes if these
> come some day, argh.
>
> On 28.9.2010 16:14, sam wrote:
>> I saw approximately those problems when using original Helios release.
>>
>> See this blog post I wrote at the time which summarises my experiences (and those of several others who work here; same
>> problems occurred for everyone who tried it).
>>
>> http://learn.open.ac.uk/mod/oublog/viewpost.php?post=38720
>>
>> In the recent SR1 release (PDT 2.2.1), so far - I have made extremely limited use of it - I haven't seen any memory
>> problems or the previous errors, so I was hopeful they might have been fixed. However, the compare view does not work at
>> all (bug 326194) which makes the platform more or less unusable for any significant work, at least of the type I do. The
>> bug has been fixed, so I hope it can be updated soon. In the meantime... I wanted to test SR1 as we really need some
>> other platform features asap... but I guess it's back to 3.5 again.
>>
>> (If the compare bug is fixed, I'll try to use SR1 again for development and find out whether the performance/other bugs
>> that previously affected us have been squished, or not.)
>>
>> --sam
>
Re: Helios unusable? [message #630062 is a reply to message #629994] Thu, 30 September 2010 13:38 Go to previous message
Eclipse User
Originally posted by: dkel50.hotremovemail.com

The ant ui plugin isn't present in the all-in-one package. One way round
it is to use the "Install New Software" option to install say the Java
Development Tools which will then pull in the rest of Ant.

Dave Kelsey

On 30/09/2010 10:15, Marko Karjalainen wrote:
> Ant plugin is also broken in both helios and helios SR1 build
> eclipse-php-helios-win32
> eclipse-php-helios-SR1-win32
>
> can't see it in prefences and external tools.
>
> On 29.9.2010 9:15, Marko Karjalainen wrote:
>>
>> "the compare view does not work at all (bug 326194) which makes the
>> platform more or less unusable for any significant
>> work"
>>
>> Agree that, unusable
>>
>> "Bug 326247 Could not open the editor: Argument not valid" is other
>> bad bug that makes ide so worse.
>>
>> And there is no update sites at all in pdt helios SR1
>> installation(clean install), so i cannot get any fixes if these
>> come some day, argh.
>>
>> On 28.9.2010 16:14, sam wrote:
>>> I saw approximately those problems when using original Helios release.
>>>
>>> See this blog post I wrote at the time which summarises my
>>> experiences (and those of several others who work here; same
>>> problems occurred for everyone who tried it).
>>>
>>> http://learn.open.ac.uk/mod/oublog/viewpost.php?post=38720
>>>
>>> In the recent SR1 release (PDT 2.2.1), so far - I have made extremely
>>> limited use of it - I haven't seen any memory
>>> problems or the previous errors, so I was hopeful they might have
>>> been fixed. However, the compare view does not work at
>>> all (bug 326194) which makes the platform more or less unusable for
>>> any significant work, at least of the type I do. The
>>> bug has been fixed, so I hope it can be updated soon. In the
>>> meantime... I wanted to test SR1 as we really need some
>>> other platform features asap... but I guess it's back to 3.5 again.
>>>
>>> (If the compare bug is fixed, I'll try to use SR1 again for
>>> development and find out whether the performance/other bugs
>>> that previously affected us have been squished, or not.)
>>>
>>> --sam
>>
>
Previous Topic:Code Assist for files on Remote Systems
Next Topic:Plugin with project support
Goto Forum:
  


Current Time: Sat Nov 01 08:30:36 GMT 2014

Powered by FUDForum. Page generated in 0.01698 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software